# Functional test: tests of IO operations with the IntensityData object

import unittest, numpy
import bornagain as ba

class IOTest(unittest.TestCase):
    """
    Test serialization of IntensityData
    """

    def test_SaveNumpyArray_ReadDatafield(self):
        arr = numpy.array([[0, 1, 2, 3.0], [4, 5, 6, 7.0], [8, 9, 10, 11.0]])
        numpy.savetxt('tmp.txt', arr)
        data2 = ba.readData2D("tmp.txt")
        arr2 = data2.npArray()
        print("arr = ", arr)
        print("arr2 = ", arr2)
        print("data2.flat = ", data2.flatVector())
        self.assertTrue(numpy.array_equal(arr2, arr))

if __name__ == '__main__':
    unittest.main()
